package com.jscape.inet.ssh.protocol.messages;

import com.jscape.util.net.connection.MessageConnection;

/**
 * @author Alex Usun
 */
public abstract class Message<H extends Message.HandlerBase> {

    public int number;

    public abstract Class handlerClass();

    public abstract void accept(H handler, MessageConnection<Message> connection);

    public interface HandlerBase {

    }
}
